TCPSPRAY(1)

NAME
tcpspray - print average throughput for a tcp connection

SYNOPSIS
tcpspray [ -v ] [ -e ] [ -h ] [ -b blksize ] [ -n nblks ]
[ -f filename ] hostname

DESCRIPTION

tcpspray sends data to either the discard or echo TCP service on the specified host and prints the average throughput.

OPTIONS

-v  Prints a dot for each block sent. Will also print a backspace for each block received in echo mode. Note: the I/O required for this option will affect the throughput rates.

-e  Use the TCP echo service instead of discard (the default) and print throughput rates for both transmission and reception.

-h  Print a usage description.

-b blksize
    Sets the size of a block (the internal buffer) in bytes. Defaults to 1024.

-n nblks
    Sets the number of blocks to transfer. Defaults to 100.

-f filename
    Copy the contents of the specified file into the internal buffer (sized by -b option). The buffer is zeroed by default. If the file is larger than the buffer, only the first blksize bytes will be used. If the file is smaller than the buffer, the remaining bytes are zeroed. This option is useful in determining the relationship of the data transferred to throughput. E.g., if data compression is used on any of the intermediate links comprising the TCP connection, preloading the buffer with a text file will produce greater throughput than with a file that has already been compressed.

-d delay
    Sets the time in microseconds to wait between successive buffer transmissions. The default is no delay.

SEE ALSO
ping(8), spray(8)

AUTHOR
Greg Christy (gmc@quotron.com)